import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:uptime_x/uptime_x.dart';

void main() {
  const MethodChannel channel = MethodChannel('uptime_x');

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getDeviceUptime', () async {
    expect(await UptimeX.deviceUptime, '42');
  });
}
