package com.example.uptime_x

import UptimeProvider
import io.flutter.plugin.common.MethodCall
import io.flutter.plugin.common.MethodChannel
import io.flutter.plugin.common.MethodChannel.MethodCallHandler
import io.flutter.plugin.common.MethodChannel.Result
import io.flutter.plugin.common.PluginRegistry.Registrar

class Uptime_xPlugin: MethodCallHandler {
  companion object {
    @JvmStatic
    fun registerWith(registrar: Registrar) {
      val channel = MethodChannel(registrar.messenger(), "uptime_x")
      channel.setMethodCallHandler(Uptime_xPlugin())
    }
  }

  override fun onMethodCall(call: MethodCall, result: Result) {
    if (call.method == "getUptime") {
     getUptimeX(result)
    } else {
      result.notImplemented()
    }
  }

  private fun getUptime(result: Result){
    result.success(UptimeProvider.uptime)
  }
}
